import ParameterTypes from "@site/src/components/ParameterTypes"

# Primary

 **Primary**: `T` extends `object` ? [ReadonlyPrimary](types.ReadonlyPrimary.mdx)&#60;PK&#62; : `T` extends `object` ? [ReadonlyPrimary](types.ReadonlyPrimary.mdx)&#60;PK&#62; \| `string` : `T` extends `object` ? [ReadonlyPrimary](types.ReadonlyPrimary.mdx)&#60;PK&#62; : `T` extends `object` ? [ReadonlyPrimary](types.ReadonlyPrimary.mdx)&#60;PK&#62; : `never`

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
